# Generated by Django 3.2.20 on 2023-08-16 00:04

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Brand',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, unique=True, verbose_name='名字')),
                ('abbr', models.CharField(blank=True, default='', max_length=32, verbose_name='缩写')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='更新时间')),
            ],
            options={
                'verbose_name': '品牌',
                'verbose_name_plural': '品牌',
                'ordering': ('-is_active', '-create_time'),
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, unique=True, verbose_name='名字')),
                ('abbr', models.CharField(blank=True, default='', max_length=32, verbose_name='缩写')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='更新时间')),
            ],
            options={
                'verbose_name': '目录',
                'verbose_name_plural': '目录',
                'ordering': ('-is_active', '-create_time'),
            },
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, unique=True, verbose_name='名字')),
                ('number', models.CharField(blank=True, default='', max_length=32, verbose_name='编号')),
                ('abbr', models.CharField(blank=True, default='', max_length=32, verbose_name='缩写')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='更新时间')),
                ('brand', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='product.brand', verbose_name='品牌')),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='product.category', verbose_name='目录')),
            ],
            options={
                'verbose_name': '产品',
                'verbose_name_plural': '产品',
                'ordering': ('-is_active', '-create_time'),
            },
        ),
    ]
